@import url("https://fonts.googleapis.com/css2?family=PT+Serif:ital,wght@0,400;0,700;1,400;1,700&display=swap");

:root {
  --primary-100: #000000;
  --primary-90: #1a1a1a;
  --primary-80: #333333;
  --primary-70: #4d4d4d;
  --primary-60: #666666;
  --primary-50: #808080;
  --primary-40: #999999;
  --primary-30: #b3b3b3;
  --primary-20: #cccccc;
  --primary-10: #e6e6e6;
  --primary-0: #f4f4f4;

  --secondary-100: #ffffff;
  --secondary-90: #fcf8f5;
  --secondary-80: #e6e2dc;
  --secondary-70: #d9d3ca;
  --secondary-60: #cdc5b9;
  --secondary-50: #c0b6a7;
  --secondary-40: #b3a895;
  --secondary-30: #a79984;
  --secondary-20: #9a8b72;
  --secondary-10: #8d7c61;
  --secondary-0: #806e4f;

  --link: #2b5d8e;

  --max-width: 600px;
  --base-font: 16px;
  --font-xs: calc(var(--base-font) * 0.8);
  --font-sm: calc(var(--base-font) * 0.9);
  --font-l: calc(var(--base-font) * 1.1);
  --font-xl: calc(var(--base-font) * 1.2);
}

html {
  font-size: var(--base-font);
  font-family: arial;
  -webkit-font-smoothing: antialiased;
  @media screen and (max-width: 500px) {
    font-size: var(--font-l);
  }
}

body {
  margin: 0;
  padding: 0;
  background-color: var(--secondary-90);
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.page__container {
  padding: 4em;
  @media screen and (max-width: 800px) {
    padding: 2em;
  }
  @media screen and (max-width: 500px) {
    padding: 1em;
  }
}

.header {
  @media screen and (max-width: 960px) {
    display: flex;
    flex-direction: row-reverse;
    width: 80%;
    margin: 0 auto 2em;
    justify-content: space-between;
    align-items: center;
  }
  @media screen and (max-width: 700px) {
    width: 95%;
  }
  @media screen and (max-width: 500px) {
    flex-direction: column-reverse;
    gap: 1em;
    align-items: start;
  }
}

.header-wrapper {
  display: flex;
  flex-direction: column;
  gap: 1em;
  justify-content: center;
  align-items: center;
  width: 65%;
  margin: 0 auto 2em auto;
  @media screen and (max-width: 960px) {
    width: fit-content;
    margin: 0;
  }
}

.page__nav {
  display: flex;
  gap: 1em;
  width: 100%;
  margin: 0 auto 1em;
  @media screen and (max-width: 960px) {
    width: fit-content;
    margin: 0;
  }
  @media screen and (max-width: 500px) {
    font-size: var(--font-sm);
  }
}

@media screen and (min-width: 960px) {
  .page__container {
    display: flex;
    flex-direction: row-reverse;
    margin: 0 auto;
    gap: 4em;
  }

  .page__container .header-wrapper {
    background-color: var(--secondary-100);
    width: fit-content;
    justify-content: flex-start;
    margin: 0;
    padding: 1em;
    border: 1px solid var(--primary-10);
    border-radius: 5px;
  }

  .page__container .header {
    position: sticky;
    top: 4em;
    gap: 1em;
    height: fit-content;
  }

  .page__container .main-content__intro {
    width: 35ch;
    font-size: var(--font-sm);
    display: block;
  }
}

.header__content {
  width: fit-content;
  display: grid;
  grid-template-columns: 70px 1fr;
  grid-template-rows: 35px 35px;
  grid-template-areas: "avatar content" "avatar titles";
  height: 70px;
  column-gap: 1em;
  text-decoration: none;
  @media screen and (max-width: 960px) {
    grid-template-columns: 50px 1fr;
    grid-template-rows: 25px 25px;
    height: 50px;
  }
}

.header__image {
  border-radius: 50%;
  height: 100%;
  grid-area: avatar;
}

.header__title {
  margin: 0;
  color: var(--primary-90);
  align-content: flex-end;
}

.header__subtitle {
  align-content: flex-start;
  margin: 0;
  color: var(--primary-90);
  font-size: var(--font-sm);
  line-height: 22px;
  grid-area: titles;
}

.main-content {
  width: 65%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  max-width: var(--max-width);
  gap: 2em;
  @media screen and (max-width: 960px) {
    width: 80%;
    max-width: unset;
  }
  @media screen and (max-width: 700px) {
    width: 95%;
    max-width: unset;
  }
}

.main-content__blog-link {
  color: var(--link);
  text-decoration: line;
  text-decoration-style: dotted;
}

.main-content__intro {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
}

.main-content__intro-description {
  margin: 0;
  color: var(--primary-90);
}

.main-content__aside {
  margin: 0.5em 0;
  font-size: var(--font-xs);
  font-style: italic;
  color: var(--primary-70);
}

.main-content__experience-list {
  list-style: none;
  margin: 0;
  padding: 0;
  gap: 3rem;
  display: flex;
  flex-direction: column;
}

.main-content__experience-list-item {
  font-size: var(--font-sm);
  font-family:
    ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono",
    "Courier New", monospace;
}

.main-content__role-title {
  font-size: var(--font-l);
  margin: 0 0 0.25em 0;
  color: var(--primary-90);
}

.main-content__role-company {
  margin: 0 0 1em 0;
  display: flex;
  color: var(--primary-80);
  gap: 0.5em;
}

.main-content__company-logo {
  height: 16px;
  width: 16px;
}

.main-content__role-description {
  margin: 1em 0 0.5em 0;
}

.main-content__role-time {
  font-size: 14px;
  margin: 0;
  color: var(--primary-70);
}

.main-content__link,
.footer__link {
  color: var(--link);
  text-decoration: none;
  font-weight: bold;
}

.home-page .blog-page__posts .main-content__role-title {
  font-size: var(--font-xl);
  margin: 0 0 0.25em 0;
  color: var(--primary-90);
  font-family:
    ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono",
    "Courier New", monospace;
}

.line-break {
  display: block;
  width: 100%;
  height: 1px;
  background-color: var(--primary-10);
  margin: 2em 0;
}

.blog-pa #nav {
  display: block;
  margin: 0 auto;
}

.footer__container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5em;
  padding: 2em 0;
  width: 100%;
}

.footer__experience-links {
  font-size: 14px;
  display: block;
  width: max-content;
  color: var(--primary-70);
}

.footer__content-text {
  color: var(--primary-70);
  font-size: 13px;
  margin: 0;
}

.footer__container a {
  color: var(--link);
  text-decoration: line;
  text-decoration-style: dotted;
}

.highlight-yellow {
  position: relative;
  z-index: 1;
}

.highlight-yellow:after {
  content: " ";
  height: 13px;
  left: -2px;
  position: absolute;
  top: 3px;
  width: 100%;
  z-index: -1;
  background-image: linear-gradient(to right, #fef08a, hsla(53, 98%, 77%, 0.5));
}

@media screen and (min-width: 960px) {
  .home-page .page__container .main-content__intro {
    display: block;
  }

  .page__container .header__content {
    grid-template-columns: 50px 1fr;
    grid-template-rows: 25px 25px;
    height: 50px;
  }

  .blog-post__content {
    width: 65ch;
    margin: 0;
  }
}
